package com.thinkgem.jeesite.modules.youka.entity;

import com.thinkgem.jeesite.common.persistence.DataEntity;
import org.json.JSONArray;
import org.json.JSONObject;

import java.io.Serializable;
import java.util.List;

public class YoukaRate extends DataEntity<YoukaRate> {
    private String userLevel; // 用户等级
    private String payMethod; // 支付方式
    private String payChannel; // 支付方式
    private String payChannelName;
    private String rate; // 费率
    private String balance; // 结算
    private String singleLimit; // 单笔限额
    private String dayLimit; // 当天额度

    private String payMethodName;

    private String code;

    private String rateType;

    private String siglePrice;

    private List<YoukaRate> list;

    private JSONObject jsonObject;

    public YoukaRate() {
    }

    public YoukaRate(String userLevel, String payMethod) {
        this.userLevel = userLevel;
        this.payMethod = payMethod;
    }

    public String getUserLevel() {
        return userLevel;
    }

    public void setUserLevel(String userLevel) {
        this.userLevel = userLevel;
    }

    public String getPayMethod() {
        return payMethod;
    }

    public void setPayMethod(String payMethod) {
        this.payMethod = payMethod;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public String getBalance() {
        return balance;
    }

    public void setBalance(String balance) {
        this.balance = balance;
    }

    public String getSingleLimit() {
        return singleLimit;
    }

    public void setSingleLimit(String singleLimit) {
        this.singleLimit = singleLimit;
    }

    public String getDayLimit() {
        return dayLimit;
    }

    public void setDayLimit(String dayLimit) {
        this.dayLimit = dayLimit;
    }

    public String getPayMethodName() {
        return payMethodName;
    }

    public void setPayMethodName(String payMethodName) {
        this.payMethodName = payMethodName;
    }

    public List<YoukaRate> getList() {
        return list;
    }

    public void setList(List<YoukaRate> list) {
        this.list = list;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    public String getPayChannelName() {
        return payChannelName;
    }

    public void setPayChannelName(String payChannelName) {
        this.payChannelName = payChannelName;
    }

    public String getRateType() {
        return rateType;
    }

    public void setRateType(String rateType) {
        this.rateType = rateType;
    }

    public String getSiglePrice() {
        return siglePrice;
    }

    public void setSiglePrice(String siglePrice) {
        this.siglePrice = siglePrice;
    }

    public JSONObject getJsonObject() {
        return jsonObject;
    }

    public void setJsonObject(JSONObject jsonObject) {
        this.jsonObject = jsonObject;
    }
}
